/*
 * GluonJ, An Aspect-Oriented Programming System for Java.
 * Copyright (C) 2006-2007 Shigeru Chiba. All Rights Reserved.
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License.  Alternatively, the contents of this file may be used under
 * the terms of the GNU Lesser General Public License Version 2.1 or later.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 */
package javassist.gluonj.pc;

import javassist.gluonj.WeaveException;
import javassist.gluonj.util.SimplePcNode;

public interface PointcutVisitor {
    void visit(AndPc n) throws WeaveException;
    void visit(OrPc n) throws WeaveException;
    void visit(NotPc n) throws WeaveException;
    void visit(WithinPc n) throws WeaveException;
    void visit(CallPc n) throws WeaveException;
    void visit(GetPc n) throws WeaveException;
    void visit(SetPc n) throws WeaveException;
    void visit(IfPc n) throws WeaveException;
    void visit(CflowPc n) throws WeaveException;
    void visit(SimplePcNode n) throws WeaveException; 
}
